Buteo Synchronization Framework: Buteo::SyncBackupProxy Class Reference

Buteo Synchronization Framework

Public Slots | Signals | List of all members
Buteo::SyncBackupProxy Class Referenceabstract

Defines a D-Bus backup proxy for the backupclient. More...

`#include <SyncBackupProxy.h>`

Inheritance diagram for Buteo::SyncBackupProxy:

## Public Slots
virtual uchar | backupStarts (const QDBusMessage &message)=0
| Sets the required params and stops the servers and any running sync sessions. More...
virtual uchar | backupFinished (const QDBusMessage &message)=0
| Sets the required params and starts the servers. More...
virtual uchar | restoreStarts (const QDBusMessage &message)=0
| Sets the required params and stops the servers and any running sync sessions. More...
virtual uchar | restoreFinished (const QDBusMessage &message)=0
| Sets the required params and starts the servers. More...
virtual bool | getBackUpRestoreState ()=0
| Requests the current state og backup/restore operation.

## Signals
void | backupDone ()
| Notifies about completion of backup. More...
void | startBackup ()
| Notifies about starting of backup. More...
void | restoreDone ()
| Notifies about completion of restore opertaion. More...
void | startRestore ()
| Notifies about starting of restore operation. More...

## Detailed Description

Defines a D-Bus backup proxy for the backupclient.

A XML file describing the interface can be generated from this class using qdbuscpp2xml tool. This XML file can then be used to generate interface adaptor and proxy classes using qdbusxml2cpp tool.

## Member Function Documentation

## ◆ backupDone

void Buteo::SyncBackupProxy::backupDone | ( |  | ) |
| signal

Notifies about completion of backup.

This signal is sent when the backup is completed

## ◆ backupFinished

virtual uchar Buteo::SyncBackupProxy::backupFinished | ( | const QDBusMessage & | message | ) |
| pure virtualslot

Sets the required params and starts the servers.

This function must be called when backup is completed.

Parameters

  message | Received dbus message

## ◆ backupStarts

virtual uchar Buteo::SyncBackupProxy::backupStarts | ( | const QDBusMessage & | message | ) |
| pure virtualslot

Sets the required params and stops the servers and any running sync sessions.

This function must be called when backup is initiated,

Parameters

  message | Received dbus message

## ◆ restoreDone

void Buteo::SyncBackupProxy::restoreDone | ( |  | ) |
| signal

Notifies about completion of restore opertaion.

This signal is sent when the backup is completed

## ◆ restoreFinished

virtual uchar Buteo::SyncBackupProxy::restoreFinished | ( | const QDBusMessage & | message | ) |
| pure virtualslot

Sets the required params and starts the servers.

This function must be called when restore is completed.

Parameters

  message | Received dbus message

## ◆ restoreStarts

virtual uchar Buteo::SyncBackupProxy::restoreStarts | ( | const QDBusMessage & | message | ) |
| pure virtualslot

Sets the required params and stops the servers and any running sync sessions.

This function must be called when restore is initiated,

Parameters

  message | Received dbus message

## ◆ startBackup

void Buteo::SyncBackupProxy::startBackup | ( |  | ) |
| signal

Notifies about starting of backup.

This signal is sent when the backup is started

## ◆ startRestore

void Buteo::SyncBackupProxy::startRestore | ( |  | ) |
| signal

Notifies about starting of restore operation.

This signal is sent when the restore is started/in progress

The documentation for this class was generated from the following files:

- SyncBackupProxy.h
- moc_SyncBackupProxy.cpp